[Numpy-discussion] Python-2.01b

U-E59264-Osman F Buyukisik absd00t at c1186.ae.ge.com
Thu Sep 7 07:50:38 CDT 2000


Hello All,
 I made a mistake of installing the new 2.0 python! Now when I try to
re-build numpy, I get errors. 
...
building '_numpy' extension
gcc -g -O2 -fpic -IInclude -I/home/absd00t/local/include/python2.0 -c Src/_numpymodule.c -o build/temp.hp-uxB/Src/_numpymodule.o -I/usr/include/Motif1.1 -I/usr/include/X11R4
In file included from Src/_numpymodule.c:4:
Include/arrayobject.h:16: parse error before `Py_FPROTO'
Include/arrayobject.h:18: parse error before `Py_FPROTO'
Include/arrayobject.h:19: parse error before `Py_FPROTO'
Include/arrayobject.h:22: parse error before `PyArray_VectorUnaryFunc'
Include/arrayobject.h:22: warning: no semicolon at end of struct or union
Include/arrayobject.h:24: warning: data definition has no type or storage class
Include/arrayobject.h:25: parse error before `*'
....

Anyone working on porting to version 2.0 yet?? Or back to version 1.5
or1.6?

TIA
osman



More information about the Numpy-discussion mailing list